org.wildfly.swarm.config.elytron

## Class PropertiesRealm<T extends PropertiesRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.PropertiesRealm<T>

-     public class PropertiesRealm<T extends PropertiesRealm<T>>
      extends Object

  A security realm definition backed by properties files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeSynchronized()` The time the properties files that back this realm were last loaded.
    `T` | `attributeSynchronized(String value)` The time the properties files that back this realm were last loaded.
    `String` | `getKey()`
    `String` | `groupsAttribute()` The name of the attribute in the returned AuthorizationIdentity that should contain the group membership information for the identity.
    `T` | `groupsAttribute(String value)` The name of the attribute in the returned AuthorizationIdentity that should contain the group membership information for the identity.
    `Map` | `groupsProperties()` The properties file containing the users and their groups.
    `T` | `groupsProperties(Map value)` The properties file containing the users and their groups.
    `T` | `groupsProperty(String key, Object value)` The properties file containing the users and their groups.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Map` | `usersProperties()` The properties file containing the users and their passwords.
    `T` | `usersProperties(Map value)` The properties file containing the users and their passwords.
    `T` | `usersProperty(String key, Object value)` The properties file containing the users and their passwords.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesRealm

          public PropertiesRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### groupsAttribute

          public String groupsAttribute()

      The name of the attribute in the returned AuthorizationIdentity that should contain the group membership information for the identity.

    - #### groupsAttribute

          public T groupsAttribute(String value)

      The name of the attribute in the returned AuthorizationIdentity that should contain the group membership information for the identity.

    - #### groupsProperties

          public Map groupsProperties()

      The properties file containing the users and their groups.

    - #### groupsProperties

          public T groupsProperties(Map value)

      The properties file containing the users and their groups.

    - #### groupsProperty

          public T groupsProperty(String key,
                                  Object value)

      The properties file containing the users and their groups.

    - #### attributeSynchronized

          public String attributeSynchronized()

      The time the properties files that back this realm were last loaded.

    - #### attributeSynchronized

          public T attributeSynchronized(String value)

      The time the properties files that back this realm were last loaded.

    - #### usersProperties

          public Map usersProperties()

      The properties file containing the users and their passwords.

    - #### usersProperties

          public T usersProperties(Map value)

      The properties file containing the users and their passwords.

    - #### usersProperty

          public T usersProperty(String key,
                                 Object value)

      The properties file containing the users and their passwords.

Copyright © 2018 JBoss by Red Hat. All rights reserved.